Package org.eclipse.cdt.utils.xcoff

## Class XCoff32.Symbol

- java.lang.Object
- - org.eclipse.cdt.utils.xcoff.XCoff32.Symbol

Enclosing class:
  XCoff32

    public class XCoff32.Symbol
    extends Object

### Field Summary

Fields
`byte[]` `_n_name`
`static int` `C_BCOMM`
`static int` `C_BINCL`
`static int` `C_BLOCK`
`static int` `C_BSTAT`
`static int` `C_DECL`
`static int` `C_ECOML`
`static int` `C_ECOMM`
`static int` `C_EINCL`
`static int` `C_ENTRY`
`static int` `C_ESTAT`
`static int` `C_EXT`
`static int` `C_FCN`
`static int` `C_FILE`
`static int` `C_FUN`
`static int` `C_GSYM`
`static int` `C_HIDEXT`
`static int` `C_INFO`
`static int` `C_LSYM`
`static int` `C_NULL`
`static int` `C_PSYM`
`static int` `C_RPSYM`
`static int` `C_RSYM`
`static int` `C_STAT`
`static int` `C_STSYM`
`static int` `C_TCSYM`
`static int` `C_WEAKEXT`
`static int` `N_ABS`
`static int` `N_DEBUG`
`byte` `n_numaux`
`byte` `n_sclass`
`short` `n_scnum`
`short` `n_type`
`static int` `N_UNDEF`
`int` `n_value`
`static int` `SYMNMLEN`
`static int` `SYMSZ`
`byte` `x_smclas`
`static int` `XMC_BS`
`static int` `XMC_DB`
`static int` `XMC_DS`
`static int` `XMC_GL`
`static int` `XMC_PR`
`static int` `XMC_RO`
`static int` `XMC_RW`
`static int` `XMC_SV`
`static int` `XMC_SV3264`
`static int` `XMC_SV64`
`static int` `XMC_TB`
`static int` `XMC_TC`
`static int` `XMC_TC0`
`static int` `XMC_TD`
`static int` `XMC_TI`
`static int` `XMC_UA`
`static int` `XMC_UC`
`static int` `XMC_XO`

### Constructor Summary

Constructors
`Symbol​(RandomAccessFile file)`
`Symbol​(RandomAccessFile file, long offset)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getName​(byte[] table)`
`boolean` `isFunction()`
`boolean` `isVariable()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### SYMSZ

    public static final int SYMSZ

See Also:
  Constant Field Values

#### SYMNMLEN

    public static final int SYMNMLEN

See Also:
  Constant Field Values

#### N_DEBUG

    public static final int N_DEBUG

See Also:
  Constant Field Values

#### N_ABS

    public static final int N_ABS

See Also:
  Constant Field Values

#### N_UNDEF

    public static final int N_UNDEF

See Also:
  Constant Field Values

#### C_BCOMM

    public static final int C_BCOMM

See Also:
  Constant Field Values

#### C_BINCL

    public static final int C_BINCL

See Also:
  Constant Field Values

#### C_BLOCK

    public static final int C_BLOCK

See Also:
  Constant Field Values

#### C_BSTAT

    public static final int C_BSTAT

See Also:
  Constant Field Values

#### C_DECL

    public static final int C_DECL

See Also:
  Constant Field Values

#### C_ECOML

    public static final int C_ECOML

See Also:
  Constant Field Values

#### C_ECOMM

    public static final int C_ECOMM

See Also:
  Constant Field Values

#### C_EINCL

    public static final int C_EINCL

See Also:
  Constant Field Values

#### C_ENTRY

    public static final int C_ENTRY

See Also:
  Constant Field Values

#### C_ESTAT

    public static final int C_ESTAT

See Also:
  Constant Field Values

#### C_EXT

    public static final int C_EXT

See Also:
  Constant Field Values

#### C_FCN

    public static final int C_FCN

See Also:
  Constant Field Values

#### C_FILE

    public static final int C_FILE

See Also:
  Constant Field Values

#### C_FUN

    public static final int C_FUN

See Also:
  Constant Field Values

#### C_GSYM

    public static final int C_GSYM

See Also:
  Constant Field Values

#### C_HIDEXT

    public static final int C_HIDEXT

See Also:
  Constant Field Values

#### C_INFO

    public static final int C_INFO

See Also:
  Constant Field Values

#### C_LSYM

    public static final int C_LSYM

See Also:
  Constant Field Values

#### C_NULL

    public static final int C_NULL

See Also:
  Constant Field Values

#### C_PSYM

    public static final int C_PSYM

See Also:
  Constant Field Values

#### C_RPSYM

    public static final int C_RPSYM

See Also:
  Constant Field Values

#### C_RSYM

    public static final int C_RSYM

See Also:
  Constant Field Values

#### C_STAT

    public static final int C_STAT

See Also:
  Constant Field Values

#### C_STSYM

    public static final int C_STSYM

See Also:
  Constant Field Values

#### C_TCSYM

    public static final int C_TCSYM

See Also:
  Constant Field Values

#### C_WEAKEXT

    public static final int C_WEAKEXT

See Also:
  Constant Field Values

#### XMC_PR

    public static final int XMC_PR

See Also:
  Constant Field Values

#### XMC_RO

    public static final int XMC_RO

See Also:
  Constant Field Values

#### XMC_DB

    public static final int XMC_DB

See Also:
  Constant Field Values

#### XMC_TC

    public static final int XMC_TC

See Also:
  Constant Field Values

#### XMC_UA

    public static final int XMC_UA

See Also:
  Constant Field Values

#### XMC_RW

    public static final int XMC_RW

See Also:
  Constant Field Values

#### XMC_GL

    public static final int XMC_GL

See Also:
  Constant Field Values

#### XMC_XO

    public static final int XMC_XO

See Also:
  Constant Field Values

#### XMC_SV

    public static final int XMC_SV

See Also:
  Constant Field Values

#### XMC_BS

    public static final int XMC_BS

See Also:
  Constant Field Values

#### XMC_DS

    public static final int XMC_DS

See Also:
  Constant Field Values

#### XMC_UC

    public static final int XMC_UC

See Also:
  Constant Field Values

#### XMC_TI

    public static final int XMC_TI

See Also:
  Constant Field Values

#### XMC_TB

    public static final int XMC_TB

See Also:
  Constant Field Values

#### XMC_TC0

    public static final int XMC_TC0

See Also:
  Constant Field Values

#### XMC_TD

    public static final int XMC_TD

See Also:
  Constant Field Values

#### XMC_SV64

    public static final int XMC_SV64

See Also:
  Constant Field Values

#### XMC_SV3264

    public static final int XMC_SV3264

See Also:
  Constant Field Values

#### _n_name

    public byte[] _n_name

#### n_value

    public int n_value

#### n_scnum

    public short n_scnum

#### n_type

    public short n_type

#### n_sclass

    public byte n_sclass

#### n_numaux

    public byte n_numaux

#### x_smclas

    public byte x_smclas

### Constructor Detail

#### Symbol

    public Symbol​(RandomAccessFile file)
           throws IOException

Throws:
  `IOException`

#### Symbol

    public Symbol​(RandomAccessFile file,
                  long offset)
           throws IOException

Throws:
  `IOException`

### Method Detail

#### getName

    public String getName​(byte[] table)

#### isFunction

    public boolean isFunction()

#### isVariable

    public boolean isVariable()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`